pulseaudio crashed with SIGSEGV in pa_asyncmsgq_flush()

Bug #446719 reported by zitbug on 2009-10-08
90
This bug affects 6 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

ubuntu 9.10 pulseaudio not working

ProblemType: Crash
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D1p: zitbug 15322 F...m pulseaudio
 /dev/snd/controlC0: zitbug 15322 F.... pulseaudio
 /dev/snd/controlC1: zitbug 15322 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'V8237'/'VIA 8237 with ALC658D at 0xbc00, irq 22'
   Mixer name : 'Realtek ALC658D'
   Components : 'AC97a:414c4781'
   Controls : 45
   Simple ctrls : 31
Card1.Amixer.info:
 Card hw:1 'SAA7134'/'saa7133[0] at 0xeb000000 irq 17'
   Mixer name : 'SAA7134 Mixer'
   Components : ''
   Controls : 6
   Simple ctrls : 3
CrashCounter: 1
Date: Thu Oct 8 23:11:08 2009
Disassembly: 0xc56570: Cannot access memory at address 0xc56570
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/pulseaudio
NonfreeKernelModules: nvidia
Package: pulseaudio 1:0.9.18-0ubuntu3
ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
ProcEnviron:
 LANG=hu_HU.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-12.40-generic
SegvAnalysis:
 Segfault happened at: 0xc56570: Cannot access memory at address 0xc56570
 PC (0x00c56570) not located in a known VMA region (needed executable region)!
SegvReason: executing unknown VMA
Signal: 11
SourcePackage: pulseaudio
StacktraceTop:
 ?? ()
 pa_asyncmsgq_flush () from /usr/lib/libpulsecore-0.9.18.so
 pa_thread_mq_done () from /usr/lib/libpulsecore-0.9.18.so
 module_combine_LTX_pa__done ()
 ?? () from /usr/lib/libpulsecore-0.9.18.so
Title: pulseaudio crashed with SIGSEGV in pa_asyncmsgq_flush()
Uname: Linux 2.6.31-12-generic i686
UserGroups: adm admin audio cdrom dialout fax fuse lpadmin plugdev sambashare vboxusers
modified.conffile..etc.X11.Xsession.d.70pulseaudio: [deleted]

zitbug (zitbug) wrote :

Please reproduce this symptom using the ubuntu-audio-dev PPA.

On Oct 8, 2009 5:30 PM, "zitbug" <email address hidden> wrote:

** Attachment added: "AlsaDevices.txt"
  http://launchpadlibrarian.net/33325284/AlsaDevices.txt

** Attachment added: "AplayDevices.txt"
  http://launchpadlibrarian.net/33325285/AplayDevices.txt

** Attachment added: "ArecordDevices.txt"
  http://launchpadlibrarian.net/33325287/ArecordDevices.txt

** Attachment added: "BootDmesg.txt"
  http://launchpadlibrarian.net/33325291/BootDmesg.txt

** Attachment added: "Card0.Amixer.values.txt"
  http://launchpadlibrarian.net/33325292/Card0.Amixer.values.txt

** Attachment added: "Card0.Codecs.codec97.0.ac97.0.0.txt"
  http://launchpadlibrarian.net/33325293/Card0.Codecs.codec97.0.ac97.0.0.txt

** Attachment added: "Card0.Codecs.codec97.0.ac97.0.0.regs.txt"

http://launchpadlibrarian.net/33325294/Card0.Codecs.codec97.0.ac97.0.0.regs.txt

** Attachment added: "Card1.Amixer.values.txt"
  http://launchpadlibrarian.net/33325295/Card1.Amixer.values.txt

** Attachment added: "CurrentDmesg.txt"
  http://launchpadlibrarian.net/33325296/CurrentDmesg.txt

** Attachment added: "Dependencies.txt"
  http://launchpadlibrarian.net/33325297/Dependencies.txt

** Attachment added: "PciMultimedia.txt"
  http://launchpadlibrarian.net/33325298/PciMultimedia.txt

** Attachment added: "ProcMaps.txt"
  http://launchpadlibrarian.net/33325299/ProcMaps.txt

** Attachment added: "ProcStatus.txt"
  http://launchpadlibrarian.net/33325300/ProcStatus.txt

** Attachment added: "Registers.txt"
  http://launchpadlibrarian.net/33325301/Registers.txt

** Attachment added: "Stacktrace.txt"
  http://launchpadlibrarian.net/33325302/Stacktrace.txt

** Attachment added: "ThreadStacktrace.txt"
  http://launchpadlibrarian.net/33325303/ThreadStacktrace.txt

** Attachment added: "XsessionErrors.txt"
  http://launchpadlibrarian.net/33325305/XsessionErrors.txt

-- pulseaudio crashed with SIGSEGV in pa_asyncmsgq_flush()
https://bugs.launchpad.net/bugs/446719 ...

zitbug (zitbug) on 2009-10-08
visibility: public → private
Daniel T Chen (crimsun) wrote :

On Thu, Oct 8, 2009 at 5:39 PM, zitbug <email address hidden> wrote:
> ** Visibility changed to: Private

There's nothing that makes this report private.

zitbug (zitbug) on 2009-10-13
visibility: private → public
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.22~0.9.21+341-g62bf-0ubuntu1

---------------
pulseaudio (1:0.9.22~0.9.21+341-g62bf-0ubuntu1) lucid; urgency=low

  * New snapshot based on stable-queue git branch (testing requested
    specifically by upstream)
    - LP: #164745, #173212, #201391, #204536, #207796, #210016, #221038,
    - LP: #226342, #230408, #236423, #237443, #250059, #269585, #274304,
    - LP: #274577, #275474, #277532, #277566, #277932, #278025, #280534,
    - LP: #283049, #286816, #287036, #292732, #298011, #298301, #300290,
    - LP: #302038, #311497, #311853, #324062, #339448, #344057, #348979,
    - LP: #350829, #356206, #367379, #367544, #369822, #371897, #374846,
    - LP: #375570, #381801, #399515, #402950, #403786, #408169, #409322,
    - LP: #409723, #410326, #410446, #417695, #417976, #419271, #421072,
    - LP: #422774, #423979, #424655, #425028, #427016, #431072, #432660,
    - LP: #437640, #437996, #442191, #443306, #443389, #446719, #449762,
    - LP: #455417, #461532, #464652, #483191, #497537, #503780
  * debian/patches/:
    + add: 0099-change-configure-git-version-tag.patch: Match released
           upstream 0.9.21 for shlibs and LIBPULSE_VERSION_INFO
    - drop: 0004-set-tsched0.patch (no longer relevant)
            0050-revert-pacmd-poll-argv.patch (no longer relevant)
            0056-dont-bail-on-sound-class-modem.patch (merged)
            0056-ignore-sound-class-modem.patch (merged)
            0058-Backport-4c793.patch (merged)
            0059-Backport-978d3.patch (merged)
            0060-fix-implicit-func-decl-cpu-arm.patch (merged)
            0061-Backport-c5fdb.patch (merged)
            0070-dont-bail-on-sound-class-modem-devs.patch (merged)
    + refresh: 0001-change-resample-and-buffering.patch
               0090-disable-flat-volumes.patch
               0091-dont-load-cork-music-on-phone.patch
               0057-load-module-x11-bell.patch
 -- Daniel T Chen <email address hidden> Thu, 14 Jan 2010 20:33:05 -0500

Changed in pulseaudio (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers